/me/activities
The newest activities for the logged-in user
What are activities?
Activities are the items on your Dashboard. Currently the following activity types are supported:
| Type | Origin |
| track | Track |
| track-sharing | Track and Sharing-Note |
| comment | Comment with Mini-User and Mini-Track |
| favoriting | Mini-Track and Mini-User |
Activities are always ordered by most recent activity first.
Representation
This is the general structure of activities (example: a comment on one of the users tracks):
$ curl 'https://api.soundcloud.com/me/activities?limit=1&oauth_token=A_VALID_TOKEN'
{
"next_href": "https://api.soundcloud.com/...?cursor=81923e19..."
"collection": [
{
"type": "comment",
"created_at": "2011/07/21 09:55:19 +0000",
"tags": "own, affiliated",
"origin": {
...
}
},
...
]
}
Origin holds the objects the activity happend on. Tags are not the tags on tracks or playlist, but categorize the activity. The following tags exist:
| Type | Description |
| exclusive | A sharing to only a handful of people |
| affiliated | An activity from somebody the logged-in user follows |
| first | The first sharing from a user the logged-in user does not follow |
| own | An activity on one of the logged-in users tracks |
Resources
| Methods | Path | Description |
|---|---|---|
| GET | /me/activities | Recent activities |
| GET | /me/activities/all | Recent activities |
| GET | /me/activities/tracks/affiliated | Recent tracks from users the logged-in user follows |
| GET | /me/activities/tracks/exclusive | Recent exclusively shared tracks |
| GET | /me/activities/all/own | Recent activities on the logged-in users tracks |
Pagination
You can limit the number of activities by using the?limit=query parameter.Activities do not support the
offsetquery parameter. Instead they support linked partitions. Every collection of activities includes a link to the next collection of activities (if such a collection exists) with the parameternext-hrer.A JSON example can be found in the representation above. Here is an XML example:
$ curl 'https://api.soundcloud.com/me/activities?limit=1&oauth_token=A_VALID_TOKEN' <?xml version="1.0" encoding="UTF-8"?> <activities next-href="https://api.soundcloud.com/me/activities?cursor=0fc02662-1d76-11e0-8c9a-48ea6afb1384" type="array"> <activity> ... </activity> ... </activities>